Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513121 - Restore failed - No backups to restore
Summary: Restore failed - No backups to restore
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: deja-dup
Version: 27
Hardware: All
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 19:14 UTC by Steve
Modified: 2017-11-16 15:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 15:17:49 UTC


Attachments (Terms of Use)

Description Steve 2017-11-14 19:14:52 UTC
Description of problem:
Deja-dup fails to restore encrypted backups. The only message is: Restore failed -  No backups to restore

Version-Release number of selected component (if applicable):
deja-dup-36.3-1.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. open deja-dup
2. locate folder of encrypted backups to restore
3. click Forward -> Error: Restore failed -  No backups to restore

Actual results:


Expected results:
Deja-dup should find the encrypted backups and ask for the password

Additional info:

Comment 1 Gwyn Ciesla 2017-11-14 20:40:58 UTC
Does an upgrade to the latest duplicity in updates testing help?

Comment 2 Steve 2017-11-15 05:27:51 UTC
Actually there is no newer version in updates-testing. Which version do You mean?
https://koji.fedoraproject.org/koji/packageinfo?packageID=10035

Comment 3 Gwyn Ciesla 2017-11-15 13:29:42 UTC
0.7.15.  It hasn't pushed yet.

https://koji.fedoraproject.org/koji/buildinfo?buildID=998889

Comment 4 Steve 2017-11-15 15:36:48 UTC
No changes in duplicity-0.7.15, same error.

deja-dup-36.3-1.fc27.x86_64
duplicity-0.7.15-1.fc27.x86_64

Comment 5 Steve 2017-11-16 15:17:49 UTC
There is a workaround for this bug. You have to do an encrypted backup. Deja-dup will ask You for the encryption-password. After that, restoring will work.


Note You need to log in before you can comment on or make changes to this bug.